Update BillConfig - m3ter Documentation
Update BillConfig
cURL
curl --request PUT \
--url https://api.m3ter.com/organizations/{orgId}/billconfig \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": 123,
"billLockDate": "2023-12-25"
}
'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/billconfig"
payload = {
"version": 123,
"billLockDate": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({version: 123, billLockDate: '2023-12-25'})
};
fetch('https://api.m3ter.com/organizations/{orgId}/billconfig', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response
Success Response
{
"id": "<string>",
"version": 123,
"billLockDate": "2023-12-25",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
Error Responses
{
"message": "<string>"
}
{
"message": "<string>"
}
Authorizations
Authorization
string
header
required
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
Path Parameters
- orgId
string
required
UUID of the organization. The Organization represents your company as a direct customer of the m3ter service.
Body (application/json)
version
integer
The version number:- Default value when newly created is one.
- On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.
billLockDate
string
The global lock date when all Bills will be locked (in ISO 8601 format).
For example: "2024-03-01".
Response (200)
application/json
Return the updated BillConfig
id
string
required
The UUID of the entity.version
integer
The version number:- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
billLockDate
string
The global lock date (in ISO 8601 format) when all Bills will be locked.dtCreated
string
The DateTime (in ISO-8601 format) when the bill config was first created.dtLastModified
string
The DateTime (in ISO-8601 format) when the bill config was last modified.createdBy
string
The id of the user who created this bill config.lastModifiedBy
string
The id of the user who last modified this bill config.